PaidGoods
API referenceCustomer account

Your reseller panel

GET
/v1/public/stores/{storeId}/account/reseller

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/public/stores/string/account/reseller"
{  "program": {    "enabled": true,    "enrollmentMode": "manual",    "applicationQuestion": "string",    "apiEnabled": true,    "publicTiers": [      {        "name": "string",        "description": "string",        "discountBp": -9007199254740991,        "minSpentMinor": -9007199254740991,        "minOrders": -9007199254740991      }    ]  },  "reseller": {    "status": "applied",    "tierName": "string",    "discountBp": -9007199254740991,    "statusReason": "string",    "spentMinor": -9007199254740991,    "orders": -9007199254740991  },  "nextTier": {    "name": "string",    "discountBp": -9007199254740991,    "minSpentMinor": -9007199254740991,    "minOrders": -9007199254740991  },  "balanceMinor": -9007199254740991,  "currency": "string",  "products": [    {      "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",      "name": "string",      "currency": "string",      "purchasable": true,      "blocker": "string",      "variants": [        {          "variantId": "d53feca7-c65b-4741-aca7-827a42d686bf",          "name": "string",          "retailMinor": -9007199254740991,          "wholesaleMinor": -9007199254740991,          "discountBp": -9007199254740991,          "stock": -9007199254740991,          "minQty": -9007199254740991,          "maxQty": -9007199254740991        }      ]    }  ],  "orders": [    {      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "number": -9007199254740991,      "uniqueId": "string",      "status": "string",      "channel": "panel",      "currency": "string",      "retailTotalMinor": -9007199254740991,      "wholesaleTotalMinor": -9007199254740991,      "autoRefundedMinor": -9007199254740991,      "tierName": "string",      "items": [        {          "name": "string",          "qty": -9007199254740991        }      ],      "invoiceUrl": "string",      "createdAt": "string"    }  ],  "tokens": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "prefix": "string",      "lastUsedAt": "string",      "createdAt": "string"    }  ]}